Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Neurosupport
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Serverless Integrations
  • Сопоставление с другими сервисами Yandex Cloud
  • Правила тарификации
  • Справочник Terraform
  • Аудитные логи Audit Trails
    • Аутентификация в API
      • Overview
        • Overview
        • Start
        • Stop
        • Terminate
        • Get
        • GetHistory
        • List
  • Метрики Monitoring
  • Публичные материалы
  • История изменений

В этой статье:

  • HTTP request
  • Path parameters
  • Response
  • ExecutionPreview
  • HistoryEntry
  • HistoryEntryInput
  • HistoryEntryOutput
  • HistoryEntryError
  1. Справочник API Workflows
  2. REST (англ.)
  3. Execution
  4. GetHistory

Workflows Service, REST: Execution.GetHistory

Статья создана
Yandex Cloud
Обновлена 1 июля 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Response
  • ExecutionPreview
  • HistoryEntry
  • HistoryEntryInput
  • HistoryEntryOutput
  • HistoryEntryError

Retrieves detailed history of specified Workflow execution.

HTTP requestHTTP request

GET https://serverless-workflows.api.cloud.yandex.net/workflows/v1/execution/{executionId}/history

Path parametersPath parameters

Field

Description

executionId

string

Required field. ID of the Workflow execution.

ResponseResponse

HTTP Code: 200 - OK

{
  "execution": {
    "id": "string",
    "workflowId": "string",
    "status": "string",
    "startedAt": "string",
    "duration": "string"
  },
  "entries": [
    {
      "id": "string",
      "title": "string",
      "description": "string",
      "startedAt": "string",
      "duration": "string",
      "input": {
        // Includes only one of the fields `inputJson`
        "inputJson": "string"
        // end of the list of possible fields
      },
      "output": {
        // Includes only one of the fields `outputJson`
        "outputJson": "string"
        // end of the list of possible fields
      },
      "error": {
        "message": "string",
        "errorCode": "string"
      },
      "status": "string",
      "type": "string",
      "attempts": "string",
      "lastError": {
        "message": "string",
        "errorCode": "string"
      }
    }
  ]
}

Field

Description

execution

ExecutionPreview

Required field. Workflow execution details.

entries[]

HistoryEntry

Workflow execution detailed history items.

The number of elements must be greater than 0.

ExecutionPreviewExecutionPreview

Field

Description

id

string

Required field. ID of the Workflow execution. Generated at creation time.

workflowId

string

Required field. ID of the Workflow.

status

enum (Status)

Required field. Status of the Workflow execution

  • QUEUED: Workflow execution is being queued.
  • RUNNING: Workflow execution is running.
  • PAUSED: Workflow execution is being paused.
  • STOPPED: Workflow execution is stopped.
  • FAILED: Workflow execution is failed.
  • FINISHED: Workflow execution is finished.

startedAt

string (date-time)

Required field. Start timestamp for the Workflow execution.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

duration

string (duration)

Duration of the Workflow execution.

HistoryEntryHistoryEntry

Field

Description

id

string

Required field. ID of the Workflow step.

title

string

Required field. Title of the Workflow step.

description

string

Description of the Workflow step.

startedAt

string (date-time)

Required field. Start timestamp for the Workflow step.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

duration

string (duration)

Duration of the Workflow step.

input

HistoryEntryInput

Input data for the Workflow step.

output

HistoryEntryOutput

Result of the Workflow step.

error

HistoryEntryError

Error details, in case Workflow step failed.

status

enum (Status)

Required field. Status of the Workflow step.

  • SCHEDULED: Step execution is being scheduled.
  • STARTED: Step execution is started.
  • COMPLETED: Step execution is completed.
  • FAILED: Step execution is failed.
  • CANCEL_REQUESTED: Step execution is requested to be cancelled.
  • CANCELLED: Step execution is canceled.

type

string

Required field. Type of the Workflow step (for example, FunctionCall or HttpCall).

attempts

string (int64)

Number of attempts (including all retries of unsuccessful attempts). Value "1" means there were no retries.

lastError

HistoryEntryError

Last received error details in case of retries.

HistoryEntryInputHistoryEntryInput

Field

Description

inputJson

string

JSON input data for the Workflow step.

Includes only one of the fields inputJson.

HistoryEntryOutputHistoryEntryOutput

Field

Description

outputJson

string

JSON result for the Workflow step.

Includes only one of the fields outputJson.

HistoryEntryErrorHistoryEntryError

Field

Description

message

string

Error message of the Workflow step.

errorCode

string

Error code of the Workflow step.

Была ли статья полезна?

Предыдущая
Get
Следующая
List
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»